PolynomialFactory Class Reference

This class has static methods that return various polynomials. More...

`#include <PolynomialFactory.h>`

## Static Public Member Functions

static BigPolynomial | hilbert_xx_yy_xz_yz ()
| Returns the multigraded Hilbert-Poincare series numerator of the ideal <x^2, y^2, xz, yz>.
static BigPolynomial | one_minus4tt_3ttt_tttt_minusttttt ()
| Returns the polynomial 1 - 4t^2 + 3t^3 + t^4 - t^5.
static BigPolynomial | one (size_t varCount)
| Returns the polynomial 1 in the ring VarNames(varCount).
static BigPolynomial | one (const VarNames &names)
| Returns the polynomial 1 in the ring names.
static BigPolynomial | zero (size_t varCount)
| Return the zero polynomial in the ring VarNames(varCount).

## Detailed Description

This class has static methods that return various polynomials.

This provides a convenient way to obtain polynomials for tests. The data returned by this class is all in a canonical form suitable for comparison using operator==.

Definition at line 27 of file PolynomialFactory.h.

## Member Function Documentation

## hilbert_xx_yy_xz_yz()

BigPolynomial PolynomialFactory::hilbert_xx_yy_xz_yz | ( |  | ) |

static

Returns the multigraded Hilbert-Poincare series numerator of the ideal <x^2, y^2, xz, yz>.

Definition at line 22 of file PolynomialFactory.cpp.

## one() [1/2]

BigPolynomial PolynomialFactory::one | ( | const VarNames & | names | ) |

static

Returns the polynomial 1 in the ring names.

Definition at line 57 of file PolynomialFactory.cpp.

## one() [2/2]

BigPolynomial PolynomialFactory::one | ( | size_t | varCount | ) |

static

Returns the polynomial 1 in the ring VarNames(varCount).

Definition at line 51 of file PolynomialFactory.cpp.

## one_minus4tt_3ttt_tttt_minusttttt()

BigPolynomial PolynomialFactory::one_minus4tt_3ttt_tttt_minusttttt | ( |  | ) |

static

Returns the polynomial 1 - 4t^2 + 3t^3 + t^4 - t^5.

Definition at line 38 of file PolynomialFactory.cpp.

## zero()

BigPolynomial PolynomialFactory::zero | ( | size_t | varCount | ) |

static

Return the zero polynomial in the ring VarNames(varCount).

Definition at line 63 of file PolynomialFactory.cpp.

The documentation for this class was generated from the following files:

- src/PolynomialFactory.h
- src/PolynomialFactory.cpp